Panda3D

- Main Page
- Packages
- Classes

- Packages
- Package Functions

Functions | Variables

# Package directscripts.extract_docs

## Functions
def | comment
def | processFunction
def | processType
def | translated_type_name
def | translateFunctionName
def | translateTypeSpec
## Variables
list | __all__ = []
dictionary | CLASS_REMAP
tuple | handle = open("pandadoc.hpp", "w")
| lastpkg = None
dictionary | libraries = {}
string | LICENSE
list | package = libraries[interrogate_type_module_name(type)]
tuple | type = interrogate_get_global_type(i_type)

## Detailed Description

    This script generates a pandadoc.hpp file representing the Python
    wrappers that can be parsed by doxygen to generate the Python documentation.
    You need to run this before invoking Doxyfile.python.

    It requires a valid makepanda installation with interrogatedb .in
    files in the lib/pandac/input directory.

## Function Documentation

def directscripts.extract_docs.comment | ( |  | code | ) |

def directscripts.extract_docs.processFunction | ( |  | handle,
|  |  | function,
|  |  | isConstructor = `False`
| ) |  |

def directscripts.extract_docs.processType | ( |  | handle,
|  |  | type
| ) |  |

def directscripts.extract_docs.translated_type_name | ( |  | type | ) |

def directscripts.extract_docs.translateFunctionName | ( |  | name | ) |

def directscripts.extract_docs.translateTypeSpec | ( |  | name | ) |

## Variable Documentation

list __all__ = []

dictionary CLASS_REMAP

tuple handle = open("pandadoc.hpp", "w")

lastpkg = None

dictionary libraries = {}

string LICENSE

Initial value:

    00001 """PANDA 3D SOFTWARE
    00002 Copyright (c) Carnegie Mellon University.  All rights reserved.
    00003 All use of this software is subject to the terms of the revised BSD
    00004 license.  You should have received a copy of this license along
    00005 with this source code in a file named \"LICENSE.\""""

list package = libraries[interrogate_type_module_name(type)]

tuple type = interrogate_get_global_type(i_type)

All Classes Namespaces Functions Variables Enumerations Enumerator Properties